<?xml version="1.0" encoding="UTF-8"?>
<settings 
  xmlns="http://maven.apache.org/SETTINGS/1.0.0" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
  xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <servers>

    <!-- =========================== -->
    <!-- eXoPlatform.prg credentials -->
    <!-- =========================== -->
    <!-- To upload in our repositories -->
    <server>
      <id>repository.exoplatform.org</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
      <configuration>
        <httpConfiguration>        
          <put>
            <headers>
              <header>
                <name>User-Agent</name>
                <value>Apache-Maven m2Release (java:${java.vm.version} ${env.BUILD_TAG})</value>
              </header>
            </headers>
            <params>
              <param>
                <name>http.authentication.preemptive</name>
                <value>%b,true</value>
              </param>
            </params>
          </put>
        </httpConfiguration>        
      </configuration>
    </server>
    <!-- To download from our mirror -->
    <server>
      <id>exo-central-server</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
    </server>    
    <!-- To download from our private products repositories (IDEALL, PLF...) -->
    <server>
      <id>exo.private</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
    </server>
    <!-- To download from our staging repositories -->
    <server>
      <id>exo.staging</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
    </server>
    <!-- To download from our custom projects repositories -->
    <server>
      <id>exo.cp</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
    </server>
    <!-- =========================== -->
    <!-- JBoss.org credentials       -->
    <!-- =========================== -->
    <server>
      <!-- To deploy snapshots to JBoss repository -->
      <id>jboss-snapshots-repository</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
      <configuration>
        <httpConfiguration>        
          <put>
            <headers>
              <header>
                <name>User-Agent</name>
                <value>Apache-Maven m2Release (java:${java.vm.version} ${env.BUILD_TAG})</value>
              </header>
            </headers>
            <params>
              <param>
                <name>http.authentication.preemptive</name>
                <value>%b,true</value>
              </param>
            </params>
          </put>
        </httpConfiguration>        
      </configuration>
    </server>
    <!-- Legacy ID -->
    <server>
      <!-- To deploy snapshots to JBoss repository -->
      <id>jboss-snapshots</id>
      <username>ci</username>
      <password>XofGw2hAkrahdgA</password>
      <configuration>
        <httpConfiguration>        
          <put>
            <headers>
              <header>
                <name>User-Agent</name>
                <value>Apache-Maven m2Release (java:${java.vm.version} ${env.BUILD_TAG})</value>
              </header>
            </headers>
            <params>
              <param>
                <name>http.authentication.preemptive</name>
                <value>%b,true</value>
              </param>
            </params>
          </put>
        </httpConfiguration>        
      </configuration>
    </server>
    <!-- OSS Sonatype.org -->
    <server>
      <id>sonatype-nexus-snapshots</id>
      <!-- Token attached to aheritier account /!\ -->
      <username>xIKWXsmb</username>
      <password>RaOaq3PpcbjescfS2QmAM+8NKmdhBDxjrOZNcx1ytwc8</password>
    </server>    
  </servers>

  <mirrors>
    <mirror>
      <id>exo-central-server</id>
      <mirrorOf>external:*,!exo.private,!exo.staging,!exo.cp</mirrorOf>
      <url>https://repository.exoplatform.org/content/groups/ci/</url>
    </mirror>
  </mirrors>

  <profiles>

    <!-- This profile is always activated and let you define properties for 
    dependent environment stuffs -->
    <profile>
      <id>local-properties</id>
      <properties>
        <!-- Remove those properties in Docker containers
        <exo.projects.directory.dependencies>/opt</exo.projects.directory.dependencies>
        <servers.dir>${exo.projects.directory.dependencies}</servers.dir>
         -->
        <!-- In docker container, failed the build after each failed tests  -->
        <maven.test.failure.ignore>false</maven.test.failure.ignore>

        <!-- OpenOffice on ubuntu -->
        <openoffice.directory>/usr/lib/libreoffice/</openoffice.directory>

        

        <sonar.login>bed9321e54a7b1976ec1503c84fce41bcadfc5fd</sonar.login>
        <sonar.host.url>https://sonar.exoplatform.org</sonar.host.url>

        <jboss.snapshots.repo.url>https://repository.exoplatform.org/content/repositories/exo-jboss-snapshots/</jboss.snapshots.repo.url>
        <surefire.useFile>true</surefire.useFile>
        <maven.test.redirectTestOutputToFile>true</maven.test.redirectTestOutputToFile>
        <gpg.passphrase>hudson</gpg.passphrase>
        
        <dependency.locations.enabled>false</dependency.locations.enabled>
        <maven.artifact.threads>50</maven.artifact.threads>
        <!-- Use Maven to deploy at the end of the build -->
        <!--<version.deploy.plugin>2.8.1</version.deploy.plugin>-->
        <deployAtEnd>true</deployAtEnd>
      </properties>
    </profile>

    <profile>
      <id>release</id>
      <properties>
        <gpg.passphrase>SWF123!</gpg.passphrase>
     </properties>
    </profile>
    <profile>
      <id>exo-release</id>
      <properties>
        <gpg.passphrase>SWF123!</gpg.passphrase>
     </properties>
    </profile>
    
    <profile>
      <id>exo-private</id>
      <!-- Repositories to download eXo private binaries -->
      <repositories>
        <repository>
          <id>exo.private</id>
          <url>https://repository.exoplatform.org/private</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>exo.private</id>
          <url>https://repository.exoplatform.org/private</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
    <profile>
      <id>exo-staging</id>
      <!-- Repositories to download eXo staging binairies -->
      <!-- TAKE CARE TO ACTIVATE IT ONLY IF REQUIRED -->
      <!-- These repositories are delivering binaries marked as released but allowed to be replaced -->
      <!-- Maven never updates released binaries thus you have to cleanup your local repository to grab an updated version -->
      <repositories>
        <repository>
          <id>exo.staging</id>
          <url>https://repository.exoplatform.org/staging</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>exo.staging</id>
          <url>https://repository.exoplatform.org/staging</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
    <profile>
      <!-- Repositories to download eXo custom projects binaries and products patchs -->
      <id>exo-cp</id>
      <repositories>
        <repository>
          <id>exo.cp</id>
          <url>https://repository.exoplatform.org/cp</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>exo.cp</id>
          <url>https://repository.exoplatform.org/cp</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
    <!-- To enhance DL performances this profile must always be after others repositories in Maven 2 -->
    <!-- In Maven 3 it should be declared first -->
    <profile>
      <id>exo-central</id>
      <!-- This hack change the behavior of maven to let it use our public mirror
      as the central repository (with snapshots activation). 
      The URL is never used and is overrided by the mirror entry.
      -->
      <repositories>
        <repository>
          <id>central</id>
          <url>https://repository.exoplatform.org/public/</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>https://repository.exoplatform.org/public/</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <updatePolicy>always</updatePolicy>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
    <profile>
      <id>crowdin-plf64</id>
      <properties>
        <exo.crowdin.project.id>exo-platform</exo.crowdin.project.id>
        <exo.crowdin.project.key>88b098f950bedf16351b80073478aaeb</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf63</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-63</exo.crowdin.project.id>
        <exo.crowdin.project.key>a3cf88f02de0d2b2d659700331503728</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf62</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-62</exo.crowdin.project.id>
        <exo.crowdin.project.key>1643cf68d28bde9dee4338f3f4f64a33</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf61</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-61</exo.crowdin.project.id>
        <exo.crowdin.project.key>c185681b630439f637988307fc27a154</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf60</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-60</exo.crowdin.project.id>
        <exo.crowdin.project.key>b6e0f6511063437f3698ef21960ba727</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf53</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-53</exo.crowdin.project.id>
        <exo.crowdin.project.key>96214d5386d3c668c4bac4e967198cf3</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf52</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-52</exo.crowdin.project.id>
        <exo.crowdin.project.key>d6bc60eefa97f8679c50b90a6d3da179</exo.crowdin.project.key>
      </properties>
    </profile>    
    <profile>
      <id>crowdin-plf51</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-51</exo.crowdin.project.id>
        <exo.crowdin.project.key>902da2c5173626de2755c9510c89b77e</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-plf50</id>
      <properties>
        <exo.crowdin.project.id>exo-platform-50</exo.crowdin.project.id>
        <exo.crowdin.project.key>c78381295c100c3feb5bf034424eb94c</exo.crowdin.project.key>
      </properties>
    </profile>
    <profile>
      <id>crowdin-dev</id>
      <properties>
        <exo.crowdin.project.id>crowdin-maven-plugin-dev</exo.crowdin.project.id>
        <exo.crowdin.project.key>21371f9af52b1003005c7933bdf00716</exo.crowdin.project.key>
      </properties>
    </profile>    
    
  </profiles>
  <activeProfiles>
    <!-- make these profiles active all the time -->
    <activeProfile>exo-central</activeProfile>
    <activeProfile>local-properties</activeProfile>
    <activeProfile>exo-staging</activeProfile>
  </activeProfiles>
  <pluginGroups>
    <pluginGroup>org.codehaus.sonar</pluginGroup>
    <pluginGroup>org.exoplatform.maven.plugins</pluginGroup>
    <pluginGroup>org.sonatype.plugins</pluginGroup>
    <pluginGroup>org.exoplatform.translation.crowdin</pluginGroup>
  </pluginGroups>

</settings>